## org.apache.batik.bridge
Class UserAgentViewport

    java.lang.Object
      org.apache.batik.bridge.UserAgentViewport

All Implemented Interfaces:
  Viewport

public class UserAgentViewport
extends java.lang.Object
implements Viewport

Defines a viewport for a `UserAgent`.

Constructor Summary
`UserAgentViewport(UserAgent userAgent)` Constructs a new viewport for the specified user agent.

Method Summary
`float` `getHeight()` Returns the height of this viewport.
`float` `getWidth()` Returns the width of this viewport.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UserAgentViewport

    public UserAgentViewport(UserAgent userAgent)

  Constructs a new viewport for the specified user agent.

Parameters:
  `userAgent` - the user agent that defines the viewport

Method Detail

### getWidth

    public float getWidth()

  Returns the width of this viewport.

  Specified by:
    `getWidth` in interface `Viewport`

### getHeight

    public float getHeight()

  Returns the height of this viewport.

  Specified by:
    `getHeight` in interface `Viewport`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.